import { __assign, __rest } from "tslib";
import * as React from "react";
import { IconStyled } from "../styles";
var IconBrokenExport2 = function (_a) {
    var className = _a.className, props = __rest(_a, ["className"]);
    return (React.createElement(IconStyled, { className: className }, React.createElement("svg", __assign({ width: "1em", height: "1em", viewBox: "0 0 24 24", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, props),
        React.createElement("path", { d: "M12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M16.5605 7.44005L21.2005 2.80005", stroke: "currentColor", strokeWidth: 1.5, strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M13 11L14 10", stroke: "currentColor", strokeWidth: 1.5, strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M21.9999 6.83V2H17.1699", stroke: "currentColor", strokeWidth: 1.5, strokeLinecap: "round", strokeLinejoin: "round" }))));
};
export default IconBrokenExport2;
